@echo off & setlocal

cls
echo Attention! it will delete all mpd logfiles! all drives are affected! 
echo are you sure? (y/n)

set /p choice=
if '%choice%' == 'n' goto No
if '%choice%' == 'y' goto Yes
Goto End 
:No
echo you have selected NO
goto End

:Yes
echo you have selected YES!
echo are you sure?
echo Press Ctrl-C to abort or
pause

set "mpdTraceFiles=eftdvs20*.*"

set "G=%temp%\AllDrives.vbs"
>"%G%" echo For Each D In CreateObject ("scripting.FileSystemObject").Drives:If D.DriveType=0 Or D.DriveType=1 Or D.DriveType=2 Or D.DriveType=3 And D.IsReady Then:WScript.Echo D:End If:Next
for /f %%i in ('cscript //nologo "%G%"') do echo del /s "%%i\%mpdTraceFiles%"
del "%G%"

:End
pause